# Make file for IBM C/2 1.1 or MS C 6.0 MAKE program
#
#  COPYRIGHT = (C) Copyright by IBM Corp. 1989 - 1991.
#	       All rights reserved.
#
#   Run the make file by typing the line below at the command line:
#
#   make  /F EXAMPLES.MAK play.exe 2play.exe record.exe play2.exe 2play2 record2.exe
#    or
#   nmake /F EXAMPLES.MAK play.exe 2play.exe record.exe play2.exe 2play2.exe record2.exe
#
#
#   Note: This make file assumes that the default large model library
#	  is the protect mode (OS/2) version.  The large model real
#	  mode library is assumed to be named "llibcer".
#
# Make DOS example programs
#

cnc = \source\include\			      # Set to "\include_path\"
cv1 =					      # Set to /Zi for Codeview compile
cv2 =					      # Set to /CO for Codeview link

# Making PLAY

play.exe: play.obj eapidos.lib examples.mak
 link $(cv2) /NOD play.obj,play.exe,nul.map,llibcer eapidos.lib;

play.obj: play.c play.h eapidbas.cnc eapiacb.cnc examples.mak
  cl /c /AL $(cv1) /Os /Gs /I$(cnc) /V"(C) Copyright IBM Corp. \
1989-1991. All rights reserved." play.c

# Making 2PLAY

2play.exe: 2play.obj eapidos.lib examples.mak
 link $(cv2) /NOD 2play.obj,2play.exe,nul.map,llibcer eapidos.lib;

2play.obj: 2play.c 2play.h eapidbas.cnc eapiacb.cnc examples.mak
  cl /c /AL $(cv1) /Os /Gs /I$(cnc) /V"(C) Copyright IBM Corp. \
1989-1991. All rights reserved." 2play.c


# Making RECORD

record.exe : record.obj eapidos.lib examples.mak
  link $(cv2) /NOD record.obj,record.exe,nul.map,llibcer eapidos.lib;

record.obj: record.c record.h eapidbas.cnc eapiacb.cnc examples.mak
  cl /c /AL $(cv1) /Os /Gs /I$(cnc) /V"(C) Copyright IBM Corp. \
1989-1991. All rights reserved." record.c

#
# Make OS2 example programs
#

# Making PLAY2

play2.exe : play2.obj play2.def aapios2d.lib examples.mak
  link $(cv2) play2.obj,play2.exe,nul.map,aapios2d.lib,play2.def;

play2.obj: play2.c play.h eapidbas.cnc eapiacb.cnc examples.mak
  cl /c /AL $(cv1) /Os /Gs /I$(cnc) /DO_2 play2.c

play2.c: play.c
  copy play.c play2.c

# Making 2PLAY2

2play2.exe : 2play2.obj 2play2.def aapios2d.lib examples.mak
  link $(cv2) 2play2.obj,2play2.exe,nul.map,aapios2d.lib,2play2.def;

2play2.obj: 2play2.c 2play.h eapidbas.cnc eapiacb.cnc examples.mak
  cl /c /AL $(cv1) /Os /Gs /I$(cnc) /DO_2 2play2.c

2play2.c: 2play.c
  copy 2play.c 2play2.c

# Making RECORD2

record2.exe : record2.obj record2.def aapios2d.lib examples.mak
  link $(cv2) record2.obj,record2.exe,nul.map,aapios2d.lib,record2.def;

record2.obj: record2.c record.h eapidbas.cnc eapiacb.cnc examples.mak
  cl /c /AL $(cv1) /Os /Gs /I$(cnc) /DO_2 record2.c

record2.c: record.c
  copy record.c record2.c
